| Summary: | FIX: Hydra port does not compile xhydra | ||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| Product: | Ports & Packages | Reporter: | Nicolas Blais <nb_root> | ||||||||||||||||
| Component: | Individual Port(s) | Assignee: | Pav Lucistnik <pav> | ||||||||||||||||
| Status: | Closed FIXED | ||||||||||||||||||
| Severity: | Affects Only Me | ||||||||||||||||||
| Priority: | Normal | ||||||||||||||||||
| Version: | Latest | ||||||||||||||||||
| Hardware: | Any | ||||||||||||||||||
| OS: | Any | ||||||||||||||||||
| Attachments: |
|
||||||||||||||||||
|
Description
Nicolas Blais
2005-05-19 18:40:01 UTC
State Changed From-To: open->feedback Can you provide a patch for a port that will make it compile and install properly? Have you talked with maintainer about this? Maybe him could fix it. Responsible Changed From-To: freebsd-ports-bugs->pav Track On May 20, 2005 04:31 pm, you wrote: > Synopsis: FIX: Hydra port does not compile xhydra > > State-Changed-From-To: open->feedback > State-Changed-By: pav > State-Changed-When: Fri May 20 20:31:04 GMT 2005 > State-Changed-Why: > Can you provide a patch for a port that will make it compile and install > properly? Have you talked with maintainer about this? Maybe him could fix > it. > > > Responsible-Changed-From-To: freebsd-ports-bugs->pav > Responsible-Changed-By: pav > Responsible-Changed-When: Fri May 20 20:31:04 GMT 2005 > Responsible-Changed-Why: > Track > > http://www.freebsd.org/cgi/query-pr.cgi?pr=81275 I have attached the patches. If you have any problems, feel free to contact me. Nicolas. Attached are the patches. Nicolas. Dear maintainer of FreeBSD port security/hydra, do you approve following
patch which enabled build and installation of xhydra in your port?
Index: Makefile
===================================================================
RCS file: /home/pcvs/ports/security/hydra/Makefile,v
retrieving revision 1.10
diff -a -u -r1.10 Makefile
--- Makefile 8 Feb 2005 21:54:03 -0000 1.10
+++ Makefile 20 May 2005 21:29:10 -0000
@@ -18,9 +18,11 @@
COMMENT= Brute force attack utility working on multiple network services
NO_LATEST_LINK= yes
-PLIST_FILES= bin/hydra
+PLIST_FILES= bin/hydra bin/xhydra
USE_REINPLACE= yes
GNU_CONFIGURE= yes
+USE_GMAKE= yes
+USE_GNOME= gtk20
USE_OPENSSL= yes
WRKSRC= ${WRKDIR}/${PORTNAME}-${PORTVERSION}-src
@@ -30,6 +32,6 @@
${WRKSRC}/Makefile.am
do-install:
- @${INSTALL_PROGRAM} ${WRKSRC}/hydra ${PREFIX}/bin
+ @${INSTALL_PROGRAM} ${WRKSRC}/hydra ${WRKSRC}/hydra-gtk/src/xhydra ${PREFIX}/bin
.include <bsd.port.mk>
Index: files/patch-Makefile.am
===================================================================
RCS file: files/patch-Makefile.am
diff -N files/patch-Makefile.am
--- /dev/null 1 Jan 1970 00:00:00 -0000
+++ files/patch-Makefile.am 20 May 2005 21:29:10 -0000
@@ -0,0 +1,11 @@
+--- Makefile.am.orig Fri May 20 16:54:16 2005
++++ Makefile.am Fri May 20 16:54:24 2005
+@@ -36,7 +36,7 @@
+ @echo
+
+ xhydra:
+- -cd hydra-gtk && ./make_xhydra.sh
++ -cd hydra-gtk && sh make_xhydra.sh
+
+ pw-inspector: pw-inspector.c
+ -$(CC) $(OPTS) -o pw-inspector pw-inspector.c
Index: files/patch-hydra-gtk-make_xhydra.sh
===================================================================
RCS file: files/patch-hydra-gtk-make_xhydra.sh
diff -N files/patch-hydra-gtk-make_xhydra.sh
--- /dev/null 1 Jan 1970 00:00:00 -0000
+++ files/patch-hydra-gtk-make_xhydra.sh 20 May 2005 21:29:10 -0000
@@ -0,0 +1,11 @@
+--- hydra-gtk/make_xhydra.sh.orig Fri May 20 17:03:45 2005
++++ hydra-gtk/make_xhydra.sh Fri May 20 17:04:06 2005
+@@ -8,7 +8,7 @@
+ cat errors
+ exit 1
+ }
+-make > /dev/null 2> errors
++gmake > /dev/null 2> errors
+ test -e src/xhydra || {
+ echo "Error: could not compile. Analyse this:"
+ cat errors
--
Pav Lucistnik <pav@oook.cz>
<pav@FreeBSD.org>
arch> I went grocery shopping, made a pot of chilli, played ey,
then ate some chilli
There is also this patch missing which fixes a bug in the xhydra code. Nicolas. Laurent LEVIER pí¹e v so 21. 05. 2005 v 10:01 +0200: > At 23:33 20/05/2005, Pav Lucistnik wrote: > >Dear maintainer of FreeBSD port security/hydra, do you approve following > >patch which enabled build and installation of xhydra in your port? > Hi Pav, > > I checked and it seems 2nd patch (on make_xhydra) does not apply here. > As a result, xhydra compile fails. > But it looks correct, I dont understand why it does not apply. Do you have > an idea? It does apply nicely here, maybe your mailer did something nasty to tabs Get the patch from here http://hood.oook.cz/irc/hydra.diff or patched port from http://hood.oook.cz/irc/hydra.tar.gz -- Pav Lucistnik <pav@oook.cz> <pav@FreeBSD.org> Oh, no! Aaargh! It is the most unnatural, most disgusting creature imaginable: a two-eyed cyclops! Laurent LEVIER p=ED=B9e v so 21. 05. 2005 v 12:36 +0200: > At 12:06 21/05/2005, Pav Lucistnik wrote: > >Get the patch from here http://hood.oook.cz/irc/hydra.diff or patched > >port from http://hood.oook.cz/irc/hydra.tar.gz > Ported patch works definitely better, but compile failed for xhydra: Redownload the port from same URL and retry, I fixed that problem. --=20 Pav Lucistnik <pav@oook.cz> <pav@FreeBSD.org> EMACS: Eight Megabytes And Continually Swapping Nicolas Blais p=ED=B9e v so 21. 05. 2005 v 08:10 -0400: > On May 21, 2005 06:56 am, Pav Lucistnik wrote: > > Laurent LEVIER p=ED=B9e v so 21. 05. 2005 v 12:36 +0200: > > > At 12:06 21/05/2005, Pav Lucistnik wrote: > > > >Get the patch from here http://hood.oook.cz/irc/hydra.diff or patche= d > > > >port from http://hood.oook.cz/irc/hydra.tar.gz > > > > > > Ported patch works definitely better, but compile failed for xhydra: > > > > Redownload the port from same URL and retry, I fixed that problem. >=20 > The ported hydra above compiles and install fine, but it still contains t= he=20 > bug in callbacks.c (argv not transfered in the correct order to hydra). M= y=20 > last patch (patch-ac) fixes this problem while=20 > patch-hydra-gtk-src-callbacks.c does not. Okay, intergrated Nicolas' patch, files on URLs above updated. --=20 Pav Lucistnik <pav@oook.cz> <pav@FreeBSD.org> I am a shrubber. My name is Roger the Shrubber. I arrange, design and sell shrubberies. State Changed From-To: feedback->closed Committed, thanks! |